Bug 991638 - [abrt] hplip-gui-3.13.7-1.fc19: systemtray.py:469:setMenu:NameError: global name 'DBusException' is not defined
[abrt] hplip-gui-3.13.7-1.fc19: systemtray.py:469:setMenu:NameError: global n...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:ea4f63dba7d5655f988f59344c2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 03:39 EDT by Rameshbabu
Modified: 2013-10-16 04:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: hplip-3.13.8-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-16 04:47:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (761 bytes, text/plain)
2013-08-03 03:39 EDT, Rameshbabu
no flags Details
File: core_backtrace (185 bytes, text/plain)
2013-08-03 03:39 EDT, Rameshbabu
no flags Details
File: environ (1.70 KB, text/plain)
2013-08-03 03:39 EDT, Rameshbabu
no flags Details

  None (edit)
Description Rameshbabu 2013-08-03 03:39:44 EDT
Version-Release number of selected component:
hplip-gui-3.13.7-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/hp-systray -x
executable:     /usr/bin/hp-systray
kernel:         3.10.3-300.fc19.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
systemtray.py:469:setMenu:NameError: global name 'DBusException' is not defined

Traceback (most recent call last):
  File "/usr/share/hplip/ui4/systemtray.py", line 373, in initDone
    self.setMenu()
  File "/usr/share/hplip/ui4/systemtray.py", line 469, in setMenu
    except DBusException:
NameError: global name 'DBusException' is not defined

Local variables in innermost frame:
layout: <PyQt4.QtGui.QHBoxLayout object at 0x96a8104>
f: <PyQt4.QtGui.QFont object at 0x96b272c>
self: <ui4.systemtray.SystemTrayApp object at 0xb73b55cc>
title: <PyQt4.QtGui.QWidgetAction object at 0x96a8074>
label: <PyQt4.QtGui.QLabel object at 0x96a8224>
pix_label: <PyQt4.QtGui.QLabel object at 0x96a814c>
t: 0
icon_size: 16
hbox: <PyQt4.QtGui.QFrame object at 0x96a80bc>
Comment 1 Rameshbabu 2013-08-03 03:39:49 EDT
Created attachment 782233 [details]
File: backtrace
Comment 2 Rameshbabu 2013-08-03 03:39:53 EDT
Created attachment 782234 [details]
File: core_backtrace
Comment 3 Rameshbabu 2013-08-03 03:39:57 EDT
Created attachment 782235 [details]
File: environ
Comment 4 Tim Waugh 2013-08-05 11:04:54 EDT
Fixed in commit 3a2ba8d (on master).
Comment 5 Tim Waugh 2013-08-14 09:24:28 EDT
Oops, wasn't pushed.  It's now commit a5d4dfe.

Note You need to log in before you can comment on or make changes to this bug.